Merci de cliquer ici si vous souhaitez vous inscrire sur le forum.

Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
Adobe-air
#1
bonjour,

Les enseignants me demandent de pouvoir utiliser leur ancien logiciel Jocatop - Les leçons numériques-

Suite première analyse, il fonctionne avec une des premières versions de adobe-air,
et première démarche, tenter d'installer adobe-air depuis leur CD qui prévoit une installation pour Linux...

La procédure essaie d'installer une version 1.1 de Adobe-air qui n'existe meme plus, donc je tente maintenant la version 1.5 ou suivante à partir des instructions de Adobe .

Et bien-sur ça bloque, merci de m'indiquer vos retours d'expérience à ce sujet afin que je mesure les chances de réussite ...
Répondre
#2
Ça peut se faire à mon avis, mais je n'ai as ce logiciel Jocatop en ma possession. Auris-tu une version d'essai, sans licence ? Chez moi les jocatop de lecture passent sous wine par exemple.

PS: as-tu vu que j'ai accédé à ta demande concernant OpenBoard?
Répondre
#3
PS2: adobe air est installé avec scratch2, c'est une version récente mais sait-on jamais...
Répondre
#4
Scratch (que ce soit 1.4 ou 2) n'installe pas Adobe air. Soit ces versions n'utilisent plus Adobe air, soit elles intègrent leur propre runtime.
J'ai été confronté au problème pour le RPi pour lequel Scratch a été intégré dans les dépôts Raspbian.
A moins qu'il y ait des différences par rapport aux versions x86 !
Répondre
#5
Je n'ai pas trouvé de scratch2 offline qui n'utilise pas adobe air, tu as vu ça où?
Répondre
#6
Je viens de vérifier sur le RPi sur lequel c'est Scratch 1.4 qui est installé. Il tourne hors ligne, et Adobe air n'est pas dans les dépendances du paquet.

Je n'ai pas installé Scratch2 pour vérifier, mais je ne vois pas de raisons qu'il en soit autrement (j'ai tout de même vérifié le contenu du paquet, et Adobe air n'est pas dans ses dépendances).
Répondre
#7
La 1.4 n'a pas besoin d'adobe air, la 2 oui, elle est intégrée dans le paquet scratch2-primtux.
Répondre
#8
Apparemment, ils ont fait une version spécifique pour Raspbian. Scratch2 est dans les dépôts Raspbian, installe un plugin Chromium, et fonctionne hors-ligne !
Répondre
#9
sinon en équivalent scratch il y a snap! , tout en html5

https://snap.berkeley.edu/

ou en local https://github.com/jmoenig/Snap/blob/master/OFFLINE.md
Répondre
#10
Pas mal snap.
En plus, vu ton exemple, ça pourrait être simple de créer un paquet debian offline.
Répondre
#11
Soit je ne les ai pas trouvés, soit il n'y en a pas, mais je ne vois pas d'habillages, de personnages...
Répondre
#12
Je confirme la version 1.4 ne nécessite pas Adobe air (c'est pour cela qu'elle est installé régulièrement sur Linux) et la version 2.0 nécessite Adobe air.
Répondre
#13
le package pour scratch2-primtux avec adobe est-il disponible pour primtux4 debian ?

ou peut-etre une version wine ?
Répondre
#14
lebardix a écrit :le package pour scratch2-primtux avec adobe est-il disponible pour primtux4 debian ?
Oui
Répondre
#15
zoom61 a écrit :Je confirme la version 1.4 ne nécessite pas Adobe air (c'est pour cela qu'elle est installé régulièrement sur Linux) et la version 2.0 nécessite Adobe air.
Je confirme en revanche que pour le RPi, Scratch2 fonctionne hors ligne et sans Adobe AIR, non disponible pour ARM.

Edit: je viens enfin de trouver l'explication. Il s'agit bien d'une version spécifique pour le Pi:
https://www.i-programmer.info/news/91-ha...pbian.html
Répondre
#16
Merci Philippe,

mais mon probleme n'est pas scratch mais adobe-air, donc j'aurais espérer qu'une appli est déjà installé adobe-air pour tester avec Jacotop, ou tout au moins inspecter comment de produit est mis en oeuvre....

donc à poursuivre...
Répondre
#17
scratch2-primtux installe adobe AIR en postinstall dans le répertoire opt
Cela répondra donc à ton besoin.
Il n'y a que sur RPi que Adobe AIR n'est pas installé.
Répondre
#18
http://micatice.fr/dokuwiki/doku.php?id=...-logiciels
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)